[arch-commits] Commit in ypserv/repos (5 files)

Stéphane Gaudreault stephane at archlinux.org
Thu Nov 24 12:03:26 EST 2011


    Date: Thursday, November 24, 2011 @ 12:03:25
  Author: stephane
Revision: 143483

db-move: moved ypserv from [staging] to [testing] (i686)

Added:
  ypserv/repos/testing-i686/
  ypserv/repos/testing-i686/PKGBUILD
    (from rev 143456, ypserv/repos/staging-i686/PKGBUILD)
  ypserv/repos/testing-i686/yppasswd
    (from rev 143456, ypserv/repos/staging-i686/yppasswd)
  ypserv/repos/testing-i686/ypserv
    (from rev 143456, ypserv/repos/staging-i686/ypserv)
Deleted:
  ypserv/repos/staging-i686/

----------+
 PKGBUILD |   37 +++++++++++++++++++++++++++++++++++++
 yppasswd |   34 ++++++++++++++++++++++++++++++++++
 ypserv   |   34 ++++++++++++++++++++++++++++++++++
 3 files changed, 105 insertions(+)

Copied: ypserv/repos/testing-i686/PKGBUILD (from rev 143456, ypserv/repos/staging-i686/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2011-11-24 17:03:25 UTC (rev 143483)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Gaetan Bisson <bisson at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+# Contributor: Tom Newsom <Jeepster at gmx.co.uk>
+
+pkgname=ypserv
+pkgver=2.26
+pkgrel=2
+pkgdesc='Linux NIS Server'
+arch=('i686' 'x86_64')
+url='http://www.linux-nis.org/nis/ypserv/'
+license=('GPL2')
+depends=('gdbm' 'openslp')
+backup=('etc/ypserv.conf' 'etc/netgroup' 'var/yp/securenets')
+source=("ftp://ftp.kernel.org/pub/linux/utils/net/NIS/${pkgname}-${pkgver}.tar.gz" \
+        'yppasswd'
+        'ypserv')
+sha1sums=('0d7ab3f04ff7fa5f611e71ea0f3c188659602743'
+          '96192b628afe36709496e4801d016c4bff343f0e'
+          'b625381bfa6cf62345377a7df30b8f45935206c5')
+
+build() {
+	cd "${srcdir}/${pkgname}-${pkgver}"
+	./configure --prefix=/usr
+	make
+}
+
+package() {
+	cd "${srcdir}/${pkgname}-${pkgver}"
+	make DESTDIR="${pkgdir}" install
+
+	install -D -m644 etc/netgroup "${pkgdir}"/etc/netgroup
+	install -D -m644 etc/ypserv.conf "${pkgdir}"/etc/ypserv.conf
+	install -D -m644 etc/securenets "${pkgdir}"/var/yp/securenets
+	install -D -m755 ../ypserv "${pkgdir}"/etc/rc.d/ypserv
+	install -D -m755 ../yppasswd "${pkgdir}"/etc/rc.d/yppasswd
+}

Copied: ypserv/repos/testing-i686/yppasswd (from rev 143456, ypserv/repos/staging-i686/yppasswd)
===================================================================
--- testing-i686/yppasswd	                        (rev 0)
+++ testing-i686/yppasswd	2011-11-24 17:03:25 UTC (rev 143483)
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+  start)
+    stat_busy "Starting NIS Password Daemon"
+    /usr/sbin/rpc.yppasswdd
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      add_daemon yppasswd
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping NIS Password Daemon"
+    killall -q /usr/sbin/rpc.yppasswdd
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon yppasswd
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac

Copied: ypserv/repos/testing-i686/ypserv (from rev 143456, ypserv/repos/staging-i686/ypserv)
===================================================================
--- testing-i686/ypserv	                        (rev 0)
+++ testing-i686/ypserv	2011-11-24 17:03:25 UTC (rev 143483)
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+  start)
+    stat_busy "Starting NIS Server"
+    /usr/sbin/ypserv
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      add_daemon ypserv
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping NIS Server"
+    killall -q /usr/sbin/ypserv
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon ypserv
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac



More information about the arch-commits mailing list